# Uses of Class
org.eclipse.jdt.core.dom.VariableDeclarationFragment

Packages that use VariableDeclarationFragment
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of VariableDeclarationFragment in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return VariableDeclarationFragment
Modifier and Type
Method
Description
`VariableDeclarationFragment`
AST.`newVariableDeclarationFragment()`
Creates an unparented variable declaration fragment node owned by this AST.
Methods in org.eclipse.jdt.core.dom with parameters of type VariableDeclarationFragment
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(VariableDeclarationFragment node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(VariableDeclarationFragment node, Object other)`
Returns whether the given node and the other object match.
`FieldDeclaration`
AST.`newFieldDeclaration(VariableDeclarationFragment fragment)`
Creates a new unparented field declaration node owned by this AST, for the given variable declaration fragment.
`VariableDeclarationExpression`
AST.`newVariableDeclarationExpression(VariableDeclarationFragment fragment)`
Creates a new unparented local variable declaration expression node owned by this AST, for the given variable declaration fragment.
`VariableDeclarationStatement`
AST.`newVariableDeclarationStatement(VariableDeclarationFragment fragment)`
Creates a new unparented local variable declaration statement node owned by this AST, for the given variable declaration fragment.
`boolean`
ASTVisitor.`visit(VariableDeclarationFragment node)`
Visits the given type-specific AST node.